package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.yjzl.TbYjxxDypzQuery;
import com.mosty.base.model.vo.yjzl.TbYjxxDypzVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbYjxxDypzService {

    @ApiOperation("查询订阅配置")
    IPage<TbYjxxDypzVo> queryList(TbYjxxDypzQuery dypz);

    @ApiOperation("新增订阅配置")
    int insert(TbYjxxDypzVo dypz);

    @ApiOperation("编辑订阅配置")
    int updateById(TbYjxxDypzVo dypz);

    @ApiOperation("查询订阅配置")
    TbYjxxDypzVo queryById(String id);

    @ApiOperation("根据ID删除")
    int deleteById(List<String> list);
}
